import * as React from 'react';
import { Dispatch, Extension, ExtensionProps } from '../../types';
import { Node } from 'prosemirror-model';
import { EditorState } from 'prosemirror-state';
type Lang = {
    label: React.ReactNode;
    lang: string;
};
export default class Code extends Extension {
    defaultLang: string;
    langs: Lang[];
    constructor(props?: ExtensionProps);
    get name(): string;
    get group(): string;
    get showMenu(): boolean;
    get hideInlineMenuOnFocus(): boolean;
    get schema(): import("../../types").ExtensionSchema | {
        content: string;
        group: string;
        parseDOM: {
            tag: string;
            getAttrs(dom: HTMLElement): {
                id: string;
                lang: string;
            };
        }[];
        toDOM: (node: Node) => (string | {
            id: any;
            className: string;
        } | (string | number | {
            class: any;
        })[])[];
        attrs: {
            id: {
                default: string;
            };
            lang: {
                default: string;
            };
        };
    };
    get icon(): React.JSX.Element;
    active(state: EditorState): boolean;
    enable(state: EditorState): boolean;
    onClick(state: EditorState, dispatch: Dispatch): void;
    customMenu({ state, dispatch }: {
        state: EditorState;
        dispatch: Dispatch;
    }): React.JSX.Element;
    get plugins(): import("prosemirror-state").Plugin<any>[];
}
export {};
//# sourceMappingURL=index.d.ts.map