import * as React from 'react';
import { Dispatch, Extension, ExtensionProps } from '../types';
import { Node } from 'prosemirror-model';
import { EditorState } from 'prosemirror-state';
export default class Paragraph extends Extension {
    constructor(props?: ExtensionProps);
    get name(): string;
    get group(): string;
    get showMenu(): boolean;
    get schema(): import("../types").ExtensionSchema | {
        type: string;
        content: string;
        group: string;
        attrs: {
            align: {
                default: string;
            };
            id: {
                default: string;
            };
        };
        parseDOM: {
            tag: string;
            priority: string;
            getAttrs(dom: HTMLElement): {
                id: string;
                align: string;
            };
        }[];
        toDOM: (node: Node) => (string | number | {
            style: string;
            id: any;
            class: string;
        } | {
            id: any;
            class: string;
            style?: undefined;
        })[];
    };
    get icon(): React.JSX.Element;
    active(state: EditorState): boolean;
    enable(state: EditorState): boolean;
    customMenu({ state, dispatch }: {
        state: EditorState;
        dispatch: Dispatch;
    }): JSX.Element | null;
    onClick(state: EditorState, dispatch: Dispatch): void;
}
//# sourceMappingURL=paragraph.d.ts.map